Subject: [Rfced-future] Proposal for RSCE recruitment committee and process

From: Jay Daley <[email-masked]>
Date: Tue, 1 Feb 2022 14:50:03 +1300

In line with Peter’s proposed text [1], here is my proposal for the RSCE selection committee and recruitment process, which I would like community feedback on.  I realise that things have not been fully settled but this recruitment is going to take some time and the sooner we can start the better.  If this is too soon then please let me know.

# Rationale

1.  The RSCE role is very different from the previous RSE role and for the recruitment to be a success it is critical that the committee recruits to the new RSCE role as defined.  It would be problematic if anyone on the committee was not clear about the new role and was inadvertently targeting the old role.  The committee members therefore need detailed knowledge of the new role, in all its subtleties.

2.  The committee needs detailed knowledge of the working environment in which the new RSCE will operate in order to assess fit and answer questions.  This environment includes the RPC, IETF community, IETF community leadership and non-IETF RFC community (as such as it exists and we have knowledge of it).

3.  The committee needs good knowledge of the contracting options available to ensure that these are all properly considered.

#  Composition

I have approached all of the following and they have agreed to provide their time and expertise to this process.  They all have detailed knowledge of the new role.

- Jay Daley, IETF Executive Director (me), recruitment and contracting expertise
- Sandy Ginoza, RPC Director, detailed knowledge of the working environment
- John Levine, Temporary RFC Series PM, detailed knowledge of the working environment
- Peter Saint-Andre, RSOC chair and editor of new model, detailed knowledge of new model and the working environment
- Mike St Johns, community member, detailed knowledge of new model, contracting expertise

# Process

a.  Get community feedback on all of this and adjust as needed
b.  In lieu of the RSAB get feedback from the RSOC, IAB and IESG once community feedback incorporated
c.  Committee meets to identify community members for the recruiters to meet with as part of their research and to provide advice to recruiters on where to look
d.  Recruiter meets community members and then does its stuff
e.  Recruitment process
f.   Committee presents LLC board with one or more recommended candidates and contracting options for final decision.

[1]  https://github.com/intarchboard/program-rfced-future/issues/151

-- 
Jay Daley
IETF Executive Director
[email-masked]